###BuildRequires:	-post-build-checks

# norootforbuild

Name:		gmpc
Version:	0.20.0
Release:	7.1

Summary:	Gmpc is a GNOME client for mpd, mp3/ogg music jukebox
License:	GPL
Group:		Productivity/Multimedia/Sound/Players
URL:		http://sarine.nl/gmpc

Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz

%if %suse_version > 1140
Patch0:         ld_build_fix.diff
%endif

Requires:       libmpd1

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	curl-devel intltool perl-libxml-perl pkgconfig glib2-devel gob2 gtk2-devel
BuildRequires:	libmpd-devel libxml2-devel libglade2-devel libsoup-devel sqlite3-devel
BuildRequires:	update-desktop-files vala-devel

%if 0%{suse_version} > 1210
BuildRequires:	libSM-devel
%endif

%description
Gnome Music Player Client:

 Features
    * Support for loading/saving playlists.
    * File Browser
    * Browser based on ID3 information. (on artist and albums)
    * Search
    * Current playlist viewer with search.
    * ID3 information
    * Lots more


%package devel
Group:		Development/Libraries/C and C++
Summary:	Development package for libmpd
Requires:	%{name} = %{version}
Requires:	curl-devel intltool perl-libxml-perl pkgconfig glib2-devel gob2 gtk2-devel
Requires:	libmpd-devel libxml2-devel libglade2-devel libsoup-devel update-desktop-files

%description devel
Development package for %{name}.


%prep
%setup -q
%if %suse_version > 1140
%patch0 -p1
%endif


%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%suse_update_desktop_file %{name} AudioVideo Player
%find_lang %{name}

%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-remote-stream
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%dir %{_datadir}/icons/Humanity
%dir %{_datadir}/icons/Humanity/*
%dir %{_datadir}/icons/Humanity/*/*
%{_datadir}/icons/Humanity/*/apps/%{name}.png
%{_datadir}/icons/Humanity/scalable/apps/%{name}.svg
%if %suse_version <= 1140
%dir %{_datadir}/locale/jv
%dir %{_datadir}/locale/jv/LC_MESSAGES
%endif
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-remote.1.gz

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix libSM-devel buildreq for 12.2
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Wed Oct 21 2009 detlef@links2linux.de
- new upstream version <0.19.1>
  * Completely wrong and wrong way around new url-fetching gui
  * Make the new dialog slightly more sane
  * Remove some empty lines
  * Regenerate with new vala
  * [UrlFetchGui] Show progressbar and make buttons insensitive
  * Remove the 'num items' from the left pane view.
  * [Bug:2519] Trying to fix this bug.
  * [Bug:2519] Sort utf-8 aware.
  * [Bug:2532] Apply patch from bug.
  * Fix for bug 2496
  * Fix sizing rules so it should work again on windows32.
  * Move notification code of db updates into separate code block.
  * Add some extra bindings to libmpd.vapi
  * Export gmpc-favorite and gmpc-rating for plugins
  * Add extra icons, thanks to zeltak
  * Export mpdinterfaction.h or gmpc-song-links.
  * Integrate the new now playing browser
  * Rename mockup-nowplaying to Now Playing
  * [Metadata2] Don't query albumartist if not supported
  * [Now Playing] Make colors configurable.
  * Show kHz's not Hz's
  * Fix rare bug that causes gtk to use tons of cpu and memory
  * Adding new rating icons. Fix make distcheck
  * Try not to reload stored playlist, when it is not needed.
  * Add a theme-color option to now-playing
  * If no title or name show filename, sanitiezed.
  * Use theme colors by default
  * Make coloring more robust
  * Force text view in now playing read only
  * Make sure gmpc_easy_download_uri_escape also escapes &&+
  * Sort album list by release date. Show release date
  * Add localtime_r for windows in gtktransition.h
  * Bug:2567 Add gmpc.ico to dist
  * Add extra type check to sorting function
* Tue Sep 22 2009 detlef@links2linux.de
- new upstream version <0.19.0>
* Tue Mar 10 2009 detlef@links2linux.de
- new upstream version <0.18.0>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <0.17.0>
  * Fix building with NLS disabled.
  * Fix resize issue.
  * Add a function that generates a filename for cover art, this should be used in metadata plugins. To give a more consistent saving.
  * New Metadata database that uses a more structured layout. (less overhead)
  * Custom progres bar. (So gmpc does not use 20%% cpu on a theme with animated progress bar)
  * Sharper lines around album art.
  * [libmpd] If idle command available use it to detect changes in stored playlist.
  * Update stored playlist without loosing selection.
  * Allow prioritizing of metadata plugins from the gui.
  * Speed up saving of config/metadata file by +- 50 times.
  * Only save config/metadata/profile file on closing of gmpc.
  * Add a script that allows you to open pls files from your browser (gmpc-remote-stream).
  * Always safe window zoom state between sessions.
  * Add possibility to use buttons instead of dropdown.
  * Allow more advanced search query in playlist filter.
  * Allow the more advanced search in the search browser. (query entry).
  * Compile time option to get the EggTrayIcon back. (that allows scroll(ing) event on the tray)
  * Add Hebrew and turkish translation.
  * Fix wrong version check, causing GmpcMpdDataTreeview settings to reset on each update.
  * Several smaller and larger memory leaks fixed.
  * 0001764: Allow drag and drop of images on the GmpcMetaImage.
  * 0001481: Add possibility to prioritize metadata plugins.
  * 0001765: Check available urlhandler before handling dnd.
  * 0001604: Mute/unmute multimedia key support.
  * 0001767: Expand/Collaps keybinding keypad is wrong.
  * 0001772: Opening of Information on a song is slow.
  * 0001794: Fix gtk deprecation warnings.
  * 0001814: Add reset browser option.
  * 0001794: Fix high cpu usage caused by progressbar.
  * 0001866: Fonts get cut off during mouse over of songs.
  * 0001888: Show tooltip on hoover.
  * Memory leak in GmpcClickLabel
  * Fix play-queue gettting stuck in quick-search.
  * Add --debug-updates option that shows redraws.
  * Fix mute icon.
* Fri Sep 26 2008 detlef@links2linux.de
- new upstream version <0.16.1>
  * Fix lockup when entering wrong password in setup assistant.
  * Allow cut/copy/paste in the main playlist.
  * Prevent fullscreen in mini-mode
  * Fix copyright notice
  * Better showing of cover art in tag-browser.
  * Allow jumping to metadata browser from tag-browser
  * Correctly show "Mpd finished updating it database" message.
  * Update tag browser on database update.
  * Fix compile warnings, making --enable-maintainermode work.
  * Fix crasher after playlist songs are added and gmpc is quit.
  * Compile option for some timing output.
  * Reduce memory usage.
  * Code cleanups.
* Mon Sep 22 2008 detlef@links2linux.de
- new upstream version <0.16.0>
* Mon Dec 17 2007 detlef@links2linux.de
- new upstream version <0.15.5.0>
* Wed Sep 19 2007 detlef@links2linux.de
- fix prefix for 10.3
- fix group
* Thu Jul 26 2007 detlef@links2linux.de
- new upstream release <0.15.1>
- split devel.rpm
* Wed Mar 28 2007 detlef@links2linux.de
- new upstream version <0.14.0>
* Sun Aug 13 2006 detlef@links2linux.de
- new upstream version
* Tue Mar 23 2004 malakhanov@gmx.de
- Initial build.
